import { defineComponent as k, computed as p, ref as u, watch as f, onMounted as b, openBlock as I, createElementBlock as v } from "vue";
import y from "./bridge.mjs";
import w from "../../_virtual/plugin-vue_export-helper.mjs";
const S = k({
  name: "dingblock-market",
  emits: ["redirect"],
  props: ["theme", "auth", "appId", "check"],
  setup(r, l) {
    const { auth: d, check: i, appId: c } = r, m = p(() => r.theme), a = u();
    f(
      m,
      (t) => {
        console.log(t), a.value.call("onChangeTheme", t);
      },
      { immediate: !1 }
    );
    const g = () => {
      var t;
      localStorage.removeItem("dingblock-auth"), localStorage.removeItem("dingblock-check"), (t = a.value) == null || t.call("cancelAuth", "");
    };
    l.expose({ cancelAuth: g }), b(async () => {
      let t = "https://api.dingstock.top";
      const h = await fetch("https://oss.dingblock.tech/d.json").then((e) => {
        var o;
        return (o = e == null ? void 0 : e.json) == null ? void 0 : o.call(e);
      }).catch(() => ({}));
      h.domain && (t = h.domain);
      const s = document.getElementById("dingblock-market-h5");
      s && (s.src = `https://dbmarket.dingstock.net/?theme=${r.theme}&appId=${c}`), a.value = y.getInstance(), a.value.on("init", async () => {
        var o;
        const e = await fetch(
          t + `/xserver/webinner/platform/config?appId=${c}`
        ).then((n) => n.json()).then((n) => n.err ? {} : n.res).catch(() => ({}));
        return {
          appId: c,
          redirectUrl: window.location.href,
          theme: m.value,
          platformName: e.platformName,
          platformId: e.platformId,
          icons: (e == null ? void 0 : e.icon) || {},
          primaryColor: (o = e == null ? void 0 : e.theme) == null ? void 0 : o.primaryColor,
          banner: (e == null ? void 0 : e.banner) || {},
          domain: t
        };
      }), a.value.on("getToken", async () => {
        const e = localStorage.getItem("dingblock-check");
        if (e) {
          const n = await i();
          if (e !== n)
            return localStorage.removeItem("dingblock-auth"), localStorage.removeItem("dingblock-check"), { token: "empty", appId: c };
        }
        return { token: localStorage.getItem("dingblock-auth") || "empty", appId: c };
      }), a.value.on("auth", async () => {
        const e = await i(), o = await d();
        return localStorage.setItem("dingblock-check", e), localStorage.setItem("dingblock-auth", o), { token: o, appId: c };
      }), a.value.on("redirect", async (e) => {
        l.emit("redirect", e);
      }), a.value.on("cancelAuth", async () => {
        localStorage.removeItem("dingblock-auth"), localStorage.removeItem("dingblock-check");
      });
    });
  }
}), _ = {
  id: "dingblock-market-h5",
  style: { width: "100%", height: "100%" },
  ref: "iframe",
  frameborder: "0"
};
function $(r, l, d, i, c, m) {
  return I(), v("iframe", _, null, 512);
}
const j = /* @__PURE__ */ w(S, [["render", $]]);
export {
  j as default
};
